Bug 1109442 - guava: please update to upstream version 17
Summary: guava: please update to upstream version 17
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: guava
Version: rawhide
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Patch, Triaged
Depends On: 1106742
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-14 00:37 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2014-06-23 06:27 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-06-23 06:27:30 UTC


Attachments (Terms of Use)
patch for spec file (2.33 KB, patch)
2014-06-14 00:38 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff
patch for spec file (2.11 KB, patch)
2014-06-16 00:47 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff

Description Zbigniew Jędrzejewski-Szmek 2014-06-14 00:37:14 UTC
I'm creating this bug so I have somewhere to attach the patch... Again, closure compiler would like to have a newer guava. I worked around the issue for now by replacing the use of new interface added in guava 17 with something that was available in earlier versions, so there's no need to hurry on my behalf, but I think it would be nice to update at some point. Nevertheless, there's little sense to do anything until #1106742 is fixed upstream.

Description of problem:
Upstream is at 1.17, Fedora is at 1.15. I need updated guava as a dependency for closure-compiler.

Version-Release number of selected component (if applicable):
guava-15.0-1.fc21.noarch

Attached patch does not build with rawhide, because of #1106742, but it builds on F20, with apache-ivy installed from rawhide.

Comment 1 Zbigniew Jędrzejewski-Szmek 2014-06-14 00:38:32 UTC
Created attachment 908728 [details]
patch for spec file

Comment 2 Mikolaj Izdebski 2014-06-14 21:00:18 UTC
I'll try to look into updating guava it the upcoming week. (Btw, the patch doesn't apply in rawhide.)

Comment 3 Zbigniew Jędrzejewski-Szmek 2014-06-16 00:47:37 UTC
Created attachment 908965 [details]
patch for spec file

(In reply to Mikolaj Izdebski from comment #2)
> (Btw, the patch doesn't apply in rawhide.)
Apparently some people cannot do 'git pull' at the right moment :)
Rebased patch attached.

Comment 4 Mikolaj Izdebski 2014-06-20 07:36:17 UTC
Fixed in guava-17.0-1

Comment 5 Mikolaj Izdebski 2014-06-23 06:27:30 UTC
I believe that this feature is included in guava-17.0-1,
which is available in Fedora Rawhide, so I am closing this bug now.

The build which includes the feature can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=539183


Note You need to log in before you can comment on or make changes to this bug.